Announcements

Equip yourself to optimize PSoc4 MCUs for Evs at the EV Webinar. Click here to register.

Tip / Sign in to post questions, reply, level up, and achieve exciting badges. Know more

PSoC™ 4 Forum Discussions

Anonymous
Not applicable

Hi,

I just bought the CY5677 Cysmart BLE 4.2 SUB Dongle with cy8c4248lqi-bl583. When I plug into my computer and run the Cysmart 1.2, it shows unsupported device.

I have clicked reset button but it still shows unsupported device. I then followed the description shown in Cysmart and went to PSoC Programmer to program the firmware but it shows:

ERROR: The hex file does not match with the acquired device, please check the device.

I only have the BLE_4_2_Dongle_CySmart_256K.hex in Cysmart folder for CY5677. I am not sure if this is the correct hex file. If not correct, where can I get the correct hex file?

0 Likes
1 Solution
AnkitaS_51
Employee
Employee
100 likes received 50 likes received 25 likes received

Hello,

PSoC based Red colored dongle's hex file will get a release on web with CySmart new release

View solution in original post

0 Likes
6 Replies
AnkitaS_51
Employee
Employee
100 likes received 50 likes received 25 likes received

Hello,

PSoC based Red colored dongle's hex file will get a release on web with CySmart new release

0 Likes
Anonymous
Not applicable

Hi anks,

May I know when is the release date? Thanks.

0 Likes
Anonymous
Not applicable

This post: CySmart – Bluetooth® LE Test and Debug Tool

Mentions being update March 24, 2018, but the files look to be dated much older. Not sure if that is of any use

0 Likes
Anonymous
Not applicable

Tried but still the same..

0 Likes
Anonymous
Not applicable

0 Likes
SrikanthD_56
Employee
Employee
First comment on blog 100 replies posted 50 solutions authored

CySmart 1.3 that supports CY5677 Cysmart BLE 4.2 USB Dongle with CY8C4248LQI-BL583 device is now available on CySmart – Bluetooth® LE Test and Debug Tool. Please check out!